it-swarm.com.de

Ich kann mein System aufgrund eines GPG-Fehlers nicht aktualisieren. Die gelöschte Datei ist ungültig und hat 'NODATA'.

Ich kann nicht aktualisieren ...

Ich habe schon eine Weile versucht, dieses Problem zu beheben ... Die einzige Möglichkeit, die ich gefunden habe, ist die Neuinstallation von Ubuntu ...

Sudo apt-get update -o Debug::Acquire::http=true
0% [Connecting to mirror.bytemark.co.uk (212.110.161.69)] [Connecting to archivGET /ubuntu/dists/trusty/InRelease HTTP/1.1
Host: archive.canonical.com
Cache-Control: max-age=0
Accept: text/*
Range: bytes=213-
If-Range: Mon, 02 Jun 2014 21:50:58 GMT
User-Agent: Debian APT-HTTP/1.3 (1.0.1ubuntu2)


0% [Connecting to mirror.bytemark.co.uk (212.110.161.69)] [Waiting for headers]GET /ubuntu/dists/trusty/InRelease HTTP/1.1
Host: mirror.bytemark.co.uk
Cache-Control: max-age=0
Accept: text/*
Range: bytes=213-
If-Range: Sat, 07 Jun 2014 00:11:36 GMT
User-Agent: Debian APT-HTTP/1.3 (1.0.1ubuntu2)


GET /ubuntu/dists/trusty/InRelease HTTP/1.1
Host: extras.ubuntu.com
Cache-Control: max-age=0
Accept: text/*
Range: bytes=213-
If-Range: Sat, 07 Jun 2014 00:19:18 GMT
User-Agent: Debian APT-HTTP/1.3 (1.0.1ubuntu2)


GET /appgrid/stable/ubuntu/dists/trusty/InRelease HTTP/1.1
Host: ppa.launchpad.net
Cache-Control: max-age=0
Accept: text/*
Range: bytes=213-
If-Range: Thu, 05 Jun 2014 14:53:42 GMT
User-Agent: Debian APT-HTTP/1.3 (1.0.1ubuntu2)


GET /torproject.org/dists/trusty/InRelease HTTP/1.1
Host: deb.torproject.org
Cache-Control: max-age=0
Accept: text/*
If-Modified-Since: Fri, 30 May 2014 11:28:02 GMT
User-Agent: Debian APT-HTTP/1.3 (1.0.1ubuntu2)


HTTP/1.1 200 OK
Content-Type: text/html; charset=UTF-8
Content-Length: 213
Date: Sat, 07 Jun 2014 00:20:52 GMT
Server: Apache/2.2.22 (Ubuntu)
Vary: Accept-Encoding

Get:1 http://extras.ubuntu.com trusty InRelease [213 B]                        
94% [1 InRelease gpgv 213 B] [Waiting for headers] [Waiting for headers] [WaitiSplitting up /var/lib/apt/lists/partial/extras.ubuntu.com_ubuntu_dists_trusty_InRIgn http://extras.ubuntu.com trusty InRelease                                  
E: GPG error: http://extras.ubuntu.com trusty InRelease: Clearsigned file isn't valid, got 'NODATA' (does the network require authentication?)
[email protected]:~$ Sudo apt-get update -o Debug::Acquire::http=true
0% [Working]GET /ubuntu/dists/trusty/InRelease HTTP/1.1
Host: archive.canonical.com
Cache-Control: max-age=0
Accept: text/*
Range: bytes=213-
If-Range: Mon, 02 Jun 2014 21:50:58 GMT
User-Agent: Debian APT-HTTP/1.3 (1.0.1ubuntu2)


GET /ubuntu/dists/trusty/InRelease HTTP/1.1
Host: extras.ubuntu.com
Cache-Control: max-age=0
Accept: text/*
Range: bytes=213-
If-Range: Sat, 07 Jun 2014 00:21:27 GMT
User-Agent: Debian APT-HTTP/1.3 (1.0.1ubuntu2)

GET /ubuntu/dists/trusty/InRelease HTTP/1.1
Host: archive.ubuntu.com
Cache-Control: max-age=0
Accept: text/*
Range: bytes=213-
If-Range: Sat, 07 Jun 2014 00:08:34 GMT
User-Agent: Debian APT-HTTP/1.3 (1.0.1ubuntu2)



GET /appgrid/stable/ubuntu/dists/trusty/InRelease HTTP/1.1
Host: ppa.launchpad.net
Cache-Control: max-age=0
Accept: text/*
Range: bytes=213-
If-Range: Thu, 05 Jun 2014 14:53:42 GMT
User-Agent: Debian APT-HTTP/1.3 (1.0.1ubuntu2)


GET /torproject.org/dists/trusty/InRelease HTTP/1.1
Host: deb.torproject.org
Cache-Control: max-age=0
Accept: text/*
If-Modified-Since: Fri, 30 May 2014 11:28:02 GMT
User-Agent: Debian APT-HTTP/1.3 (1.0.1ubuntu2)


HTTP/1.1 200 OK
Content-Type: text/html; charset=UTF-8
Content-Length: 213
Date: Sat, 07 Jun 2014 00:21:32 GMT
Server: Apache/2.2.22 (Ubuntu)
Vary: Accept-Encoding

Get:1 http://archive.ubuntu.com trusty InRelease [213 B]
94% [1 InRelease 213 B/213 B 100%] [Waiting for headers] [Waiting for headers] GET /ubuntu/dists/trusty-updates/InRelease HTTP/1.1
Host: archive.ubuntu.com
Cache-Control: max-age=0
Accept: text/*
User-Agent: Debian APT-HTTP/1.3 (1.0.1ubuntu2)


HTTP/1.1 200 OK
Content-Type: text/html; charset=UTF-8
Content-Length: 213
Date: Sat, 07 Jun 2014 00:21:32 GMT
Server: Apache/2.2.22 (Ubuntu)
Vary: Accept-Encoding

Get:2 http://extras.ubuntu.com trusty InRelease [213 B]                        
97% [1 InRelease gpgv 213 B] [Connecting to archive.ubuntu.com (91.189.92.200)]Splitting up /var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_trusty_InIgn http://archive.ubuntu.com trusty InRelease                                 
E: GPG error: http://archive.ubuntu.com trusty InRelease: Clearsigned file isn't valid, got 'NODATA' (does the network require authentication?)
6
user289218

Als ich Sudo apt-get update ausgeführt habe, habe ich den Fehler erhalten:

Ign http://br.archive.ubuntu.com trusty InRelease                              
E: GPG error: http://br.archive.ubuntu.com trusty InRelease: Clearsigned file isn't valid, got 'NODATA' (does the network require authentication?)

Um das zu lösen, habe ich zuerst versucht:

wget https://dl.dropbox.com/u/8850924/fixpackage
chmod +x ./fixpackage
Sudo ./fixpackage

Wie empfohlen in https://answers.launchpad.net/ubuntu/+question/251767

Aber es hat bei mir nicht funktioniert. Also habe ich endlich die folgenden Zeilen ausprobiert und es hat mein Problem gelöst:

Sudo apt-get clean
Sudo mv /var/lib/apt/lists /var/lib/apt/lists.broke
Sudo mkdir -p /var/lib/apt/lists/partial
Sudo apt-get update
5

Ich habe den gleichen Fehler, aber nachdem ich den Internetverkehr von/nach (System) durch die Firewall aktiviert habe, wurde das Problem behoben.

0
Saju Sukumar